#include <stdio.h>
#include <string.h>

int is_palindrome(char str[]) {
    int len = strlen(str);
    int i;
    for (i = 0; i < len / 2; i++) {
        if (str[i] != str[len - i - 1]) {
            return 0; // 不是回文串
        }
    }
    
    return 1; // 是回文串
}

int main() {
    char sentence[51]; // 因为数组长度为50，还需要一个位置放'\0'
    
    scanf("%s", sentence);

    if (is_palindrome(sentence)) {
        printf("Yes\n");
    } else {
        printf("No\n");
    }
    
    return 0;
}
